Description

Apparently it is possible use ogr2ogr to dissolve polygons using GDAL compiled with SpatiaLite support. Example:

ogr2ogr output.shp input.shp -dialect sqlite -sql "SELECT ST_Union(geometry), dissolve_field FROM input GROUP BY dissolve_field"

For more details see: http://gis.stackexchange.com/questions/85028/dissolve-aggregate-polygons-with-ogr2ogr-or-gpc)

This would be a nice addition to Processing, since QGIS native Dissolve is rather slow. It would also be useful to be able to summarize the

contents of the Dissolved features (i.e. sum, subtract, multiply etc).

See: http://gis.stackexchange.com/questions/65744/what-dissolve-tool-in-qgis-allows-me-to-summarize-statistics-for-multiple-attrib

History

#1 - 2014-11-05 06:17 AM - Giovanni Manghi

- Status changed from Open to Feedback

how this alternative compare, in term of speed, to the native qgis tool, to the grass dissolve (in Processing) and the saga one (in Processing)?

#2 - 2014-11-05 06:18 AM - Giovanni Manghi

- Assignee changed from Victor Olaya to Giovanni Manghi

#3 - 2014-11-05 06:39 AM - Giovanni Manghi

- Status changed from Feedback to Open

I answer myself, is very fast. As fast as SAGA. GRASS is "slow" because of the in/out overhead, while qgis native tool is dead slow.

#4 - 2014-11-05 07:45 AM - Filipe Dias

According to my tests, significantly faster than QGIS native tool. And it has the advantage of not relying on external software.

#5 - 2015-06-19 01:27 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

already implemented.
